/*
 * Copyright 2016 - 2022 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#if __has_include(<imgui.h>)
#endif

#include <ox/std/types.hpp>

namespace nostalgia::core {

namespace config {

constexpr auto ImGuiEnabled =
#if __has_include(<imgui.h>)
true;
#else
false;
#endif

enum class SdlVsync {
	Adaptive = -1,
	Off = 0,
	On = 1,
};

constexpr auto GbaSpriteBufferLen = 128;
constexpr auto GbaEventLoopTimerBased = false;
constexpr auto UserlandFpsPrint = false;
constexpr auto SdlVsyncOption = static_cast<int>(SdlVsync::Adaptive);

}

using gba_timer_t = uint32_t;

}
